### Method

# FwupdPlugin Device get_parent_physical_ids

since: 1.6.2

#### Declaration [src]

    GPtrArray*
    fu_device_get_parent_physical_ids (
      FuDevice* self
    )

#### Description [src]

Gets any parent device IDs. If a device is added to the daemon that matches the physical ID added from `fu_device_add_parent_physical_id()` then this device is marked the parent of `self`.

Available since: 1.6.2

#### Return value

Type: An array of `utf8`

A list of IDs.

The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.